version: '3.8'

services:
  gitlab:
    container_name: "{{ service_cfg.name }}"
    image: "gitlab/gitlab-ee:{{ service_cfg.version }}"
    restart: unless-stopped
    hostname: "{{ service_cfg.domain }}"
    environment:
      GITLAB_OMNIBUS_CONFIG: |
        external_url "https://{{ service_cfg.domain }}"
    # ports:
    #   - '80:80'
    #   - '443:443'
    #   - '22:22'
    volumes:
      - "{{ service_cfg.directory }}/config:/etc/gitlab"
      - "{{ service_cfg.directory }}/logs:/var/log/gitlab"
      - "{{ service_cfg.directory }}/data:/var/opt/gitlab"
    shm_size: "256m"
    labels: *base_labels
    networks: *base_networks
